import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Type, Point } from "igniteui-react-core/ES2015/type";
import { CategoryFrame } from "./CategoryFrame";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { SeriesView } from "./SeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core/ES2015/Polyline";
import { Polygon } from "igniteui-react-core/ES2015/Polygon";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
export declare class BollingerBandsOverlay extends FinancialOverlay {
    constructor();
    ph: number;
    pg: number;
    protected io(a: any, b: string, c: any, d: any): void;
    private pe;
    private pf;
    protected o7(): boolean;
    an(a: Axis): AxisRange;
    pc: List$1<number>;
    pd: List$1<number>;
    ol(a: CategoryFrame, b: FinancialSeriesView): void;
    hl(a: boolean, b: SeriesView): void;
    eh(a: Point, b: boolean, c: boolean): number;
    e8(a: Point, b: boolean): number;
    e6(a: Point, b: boolean): number;
    dt(a: Rect, b: Rect, c: SeriesView): boolean;
    on(a: CategoryFrame, b: FinancialSeriesView): void;
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    private pb;
    protected nu(): number;
    ec(): number;
    static $$p: string[];
    static $t: Type;
}
export declare class BollingerBandsBucketCalculator extends FinancialBucketCalculator {
    constructor(a: FinancialSeriesView);
    protected f: BollingerBandsOverlayView;
    getBucket(a: number): number[];
    static $t: Type;
}
export declare class BollingerBandsOverlayView extends FinancialSeriesView {
    by: BollingerBandsOverlay;
    constructor(a: BollingerBandsOverlay);
    ap(): void;
    protected bt(): FinancialBucketCalculator;
    b0(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number, f: (arg1: number) => number): void;
    bz(): void;
    readonly b2: Polygon;
    readonly b7: Polyline;
    readonly b8: Polyline;
    readonly b9: Polyline;
    private b3;
    private ca;
    private cb;
    private cc;
    private b1;
    private b4;
    private b5;
    private b6;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    static $t: Type;
}
